/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

// @import '~antd/lib/button/style/mixin.less';
@import './plateg-variables.less';

.typography-title-1() {
  .typography-title(
    @heading-1-size,
    @platform-sub-medium-font-weight,
    1.2666,
    @heading-color,
    ceil(@heading-1-size * 1.3333)
  );
}
.typography-title-2() {
  .typography-title(
    @heading-2-size,
    @platform-sub-medium-font-weight,
    1.1666,
    @heading-color,
    ceil(@heading-2-size * 1.953)
  );
}
.typography-title-3() {
  .typography-title(
    @heading-3-size,
    @platform-sub-medium-font-weight, 
    1.4,
    @heading-color,
    ceil(@heading-3-size * 0.75)
  );
}
.typography-title-4() {
  .typography-title(
    @heading-4-size,
    @platform-sub-medium-font-weight,
    @platform-main-line-height,
    @heading-color,
    16px
  );
}
.typography-title-5() {
  .typography-title(
    @heading-5-size,
    @platform-sub-medium-font-weight,
    24px,
    @heading-color,
    16px
  );
}
.typography-paragraph() {
  margin-bottom: 24px;
}
.btn() {
  &:extend(.btn);
  .button-size(
    @btn-height-base; @btn-padding-horizontal-base; 14px; @btn-border-radius-base
  );
}

.form-hover-focus(@color: @platform-blue2) {
  border-color: @color;
  box-shadow: inset 0px 0px 0px 1px @color;
}
